<?php
 
/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simple to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */
 
// DB table to use
$table = 'w_situacao_cliente';
 
// Table's primary key
$primaryKey = 'id';
 
// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array( 'db' => 'id',        'dt' => 0 ),
    array( 'db' => 'alterdata', 'dt' => 1 ),
    array( 'db' => 'documento', 'dt' => 2 ),
    array( 'db' => 'nome',      'dt' => 3 ),
    array( 'db' => 'email',     'dt' => 4 ),
    array( 'db' => 'tipo_empresa', 'dt' => 5 ),
    array( 'db' => 'data_criacao', 'dt' => 6 ),
    array( 'db' => 'data_alteracao', 'dt' => 7 ),
    array( 'db' => 'ultimo_acesso',      'dt' => 8 ),
    array( 'db' => 'sobre',     'dt' => 9 ),
    array( 'db' => 'ie', 'dt' => 10 ),
    array( 'db' => 'cmc', 'dt' => 11 ),
);
 
// SQL server connection information
$sql_details = array(
    'user' => 'conts916_conts',
    'pass' => 'conts123',
    'db'   => 'conts916_contsimples',
    'host' => 'localhost'
);
 
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( 'ssp.class.php' );
 
echo json_encode(
    SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns )
);